Subject: Re: Need Information Urgently

From: Ketan Bajaj <[email-masked]>
Date: Sun, 1 Nov 1998 12:21:30 +0530 (IST)

Hi !

A similar protocol involving splitting of TCP connection over the wireless
part was proposed by A.Bakre and B.R.Badrinath,
I-TCP : Indirect TCP for mobile hosts, Technical Report DCS-TR-314,
Rutgers University(October 1994) 
Though it was for wireless Lans the concept remains same for satellite
networks.

For some comments on the protocol and an alternative design which does not
send back "intermediate acks" you could refer to Hari Balakrishnan, Seshan
and Katz design of Snoop protocol.

This would prevent changing of Tcp stack at hosts across the satellite
link.

ketan

Ketan Bajaj
(M.Tech student)
Deptt. of Computer Sci. & Engg.
Indian Institute of Technology,
New Delhi

On Sat, 31 Oct 1998, Doug Dillon wrote:

> 
>     I'd be interested to know what semantics are lost
> by intermediate acknowledgements. When I look at the
> WinSock socket interface, I don't get any notice after I do a send
> of whether the data I sent actually arrived. This has to happen
> (I think) at the application layer.
> 
>     Doug.............